﻿@{
    ViewBag.Title = "Index";
    //bool IsNotActive = false;
}

<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Convert Point</h3>
    </div>
    <!-- Page Stats -->
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->


<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-6 pull-right">
        <div class="widget box">
            <div class="widget-content">
                @using (Html.BeginForm(MVC.ConvertPointReporting.Index(), FormMethod.Post, new { @class = "form-horizontal row-border", @id = "formSearchMember" }))
                {
                    @Html.AntiForgeryToken()
                    <div class="form-horizontal row-border">
                        <div class="form-group">
                            <label class="col-md-3 control-label">Tgl Awal  </label>
                            <div class="col-md-6">
                                @Html.TextBox("startDate", "", new { @class = "form-control datepicker2" })
                            </div>
                        </div>
                    </div>
                    <div class="form-horizontal row-border">
                        <div class="form-group">
                            <label class="col-md-3 control-label">Tgl Akhir   </label>
                            <div class="col-md-6">
                                @Html.TextBox("endDate", "", new { @class = "form-control datepicker2" })
                            </div>
                        </div>
                    </div>
                    <div class="form-actions">
                        <input type="submit" value="Download" class="btn btn-primary pull-right" id="download-button-reporting">
                        <input type="button" value="Search" class="btn btn-primary pull-right" id="search-button-reporting">
                    </div>
                }
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <div class="widget">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>All Member</h4>
            </div>
            <div id="memberReportingTable" class="widget-content">
                @Html.Action("GridGetAllPager", new { startDate = DateTime.Now.ToString("dd/MM/yyyy"), endDate = DateTime.Now.ToString("dd/MM/yyyy"), page = 1 })
            </div>
            <!-- .box-content -->
        </div>
    </div>
    <!-- .box -->
</div>

@section FooterScript{
    <script type="text/javascript">
        function serializeArrayToQuery(objArr) {
            if (Array.isArray(objArr)) {
                var strArr = [];
                for (var i = 0; i < objArr.length; i++) {
                    var item = objArr[i];
                    var query = item.name + '=' + item.value;
                    var found = strArr.find(function (el) {
                        return el.indexOf(item.name) >= 0;
                    })
                    if (!found) strArr.push(query);
                }
                return strArr.join('&');
            }
            return null;
        }

        (function () {
            function LoadGridFunctions(targetEl) {
                function LoadData(dataUrl) {
                    if (dataUrl) {
                        $.ajax({
                            url: dataUrl,
                            complete: function (xhr, status) {
                                if (status === 'success') {
                                    $(targetEl).html(xhr.responseText);
                                } else {
                                    alert(status + ' : ' + xhr.responseText);
                                }
                                LoadGridFunctions(targetEl);
                            }
                        })
                    }
                }

                $('div.grid-header-title > a, .grid-footer ul.pagination li > a').on('click', function (e) {
                    e.preventDefault();
                    var dataUrl = $(this).data('url');
                    LoadData(dataUrl);
                })

                $('#search-button-reporting').off('click')
                $('#search-button-reporting').on('click', function () {
                    var formArray = $('#formSearchMember').serializeArray();
                    formArray.push({ name: 'page', value: 1 });
                    LoadData('@Url.Action(MVC.ConvertPointReporting.GridGetAllPager())?' + serializeArrayToQuery(formArray));
                });
            }
            LoadGridFunctions('#memberReportingTable');

            $(".datepicker2").datepicker({
                defaultDate: +7,
                showOtherMonths: true,
                autoSize: true,
                dateFormat: 'dd/mm/yy',
            });

            $('#download-button-reporting').click(function () {
                setTimeout(function () { HideLoader(); }, 3000);
            });
        }())
    </script>
}